Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class DisplayFieldInfo

    java.lang.Object
      jet.api.DisplayFieldInfo

    public class DisplayFieldInfo

extends java.lang.Object

Field Summary
`static int` | `DBFIELD` Field data type.
`static int` | `DETAIL_COLUMN` Useful constant for locating summary field.
`static int` | `PARAMETERFIELD` Field data type.
`static int` | `SUMMARY_COLUMN` Useful constant for locating summary field.
`static int` | `SYSTEMFIELD` Field data type.
`static int` | `TEXTFIELD` Field data type.
`static int` | `USERDEFINED_DETAIL_COLUMN` Useful constant for locating summary field.

Constructor Summary
`DisplayFieldInfo(java.lang.String blName, java.lang.String fieldName, java.lang.String displayName, java.lang.String titleAttachingPlace)` Constructs field information.
`DisplayFieldInfo(java.lang.String blName, java.lang.String fieldName, java.lang.String displayName, java.lang.String titleAttachingPlace, double width, double height, double x, double y)` Constructs field information.

Method Summary
`java.lang.String` | `getBLName()` Gets the field's business logic name.
`java.util.Hashtable` | `getControlByOtherSet()`
`java.lang.String` | `getDisplayName()` Gets the field's display name.
`java.lang.String` | `getFieldName()` Gets the field's query resource name.
`int` | `getFieldType()` Sets the field's type.
`double` | `getHeight()` Gets the field's height.
`java.util.Hashtable` | `getProperties()` Gets predefined field's properties.
`java.lang.String` | `getTitleAttachingPlace()` Gets the handle of the field's attached object.
`double` | `getWidth()` Gets the field's width.
`double` | `getX()` Gets the field's x position.
`double` | `getY()` Gets the field's y position.
`void` | `setBLName(java.lang.String blName)` Sets the field's business logic name.
`void` | `setDisplayName(java.lang.String displayName)` Sets the field's display name.
`void` | `setFieldName(java.lang.String fieldName)` Sets the field's query resource name.
`void` | `setFieldType(int fieldType)` Gets the field's type.
`void` | `setHeight(double height)` Sets the field's height.
`void` | `setPropertyControlByOther(java.lang.String propertyName, boolean isControlByOther)` Sets whether the property is controlled by other fields or formulas.
`void` | `setPropertyValue(java.lang.String propertyName, boolean bPropertyValue)` Sets the property's value if it is a Boolean type property.
`void` | `setPropertyValue(java.lang.String propertyName, java.awt.Color cPropertyValue)` Sets the roperty's value if it is a Color type property.
`void` | `setPropertyValue(java.lang.String propertyName, double dPropertyValue)` Sets the property's value if it is a Double type property..
`void` | `setPropertyValue(java.lang.String propertyName, float fPropertyValue)` Sets the property's value if it is a float type property.
`void` | `setPropertyValue(java.lang.String propertyName, int iPropertyValue)` Sets the property's value if it is a Integer type property.
`void` | `setPropertyValue(java.lang.String propertyName, long lPropertyValue)` Sets the property's value if it is a long type property.
`void` | `setPropertyValue(java.lang.String propertyName, java.lang.String sPropertyValue)` Sets the property's value if it is a String type property.
`void` | `setTitleAttachingPlace(java.lang.String titleAttachingPlace)` Sets the handle of the field's attached object.
`void` | `setWidth(double width)` Sets the field's width.
`void` | `setX(double x)` Sets the field's x position.
`void` | `setY(double y)` Sets the field's y position.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DBFIELD

    public static final int DBFIELD

  Field data type.

  See Also:
    Constant Field Values

### TEXTFIELD

    public static final int TEXTFIELD

  Field data type.

  See Also:
    Constant Field Values

### SYSTEMFIELD

    public static final int SYSTEMFIELD

  Field data type.

  See Also:
    Constant Field Values

### PARAMETERFIELD

    public static final int PARAMETERFIELD

  Field data type.

  See Also:
    Constant Field Values

### SUMMARY_COLUMN

    public static final int SUMMARY_COLUMN

  Useful constant for locating summary field.

  See Also:
    Constant Field Values

### DETAIL_COLUMN

    public static final int DETAIL_COLUMN

  Useful constant for locating summary field.

  See Also:
    Constant Field Values

### USERDEFINED_DETAIL_COLUMN

    public static final int USERDEFINED_DETAIL_COLUMN

  Useful constant for locating summary field.

  See Also:
    Constant Field Values

Constructor Detail

### DisplayFieldInfo

    public DisplayFieldInfo(java.lang.String blName,
                            java.lang.String fieldName,
                            java.lang.String displayName,
                            java.lang.String titleAttachingPlace)

  Constructs field information.

  Parameters:
    `blName` - A business logic field name. It can be null if it is a query field, systemfield, parameter field or text field.
    `fieldName` - A query field name. It can be null if it is a business logic field or text field.
    `displayName` - A display field name.
    `titleAttachingPlace` - Indicates the attached object's handle.

### DisplayFieldInfo

    public DisplayFieldInfo(java.lang.String blName,
                            java.lang.String fieldName,
                            java.lang.String displayName,
                            java.lang.String titleAttachingPlace,
                            double width,
                            double height,
                            double x,
                            double y)

  Constructs field information.

  Parameters:
    `blName` - A business logic field name. It can be null if it is a query field, systemfield, parameter field or text field.
    `fieldName` - A query field name. It can be null if it is a business logic field or text field.
    `displayName` - A display field name.
    `titleAttachingPlace` - Indicates the attached object's handle.
    `width` - Predefined field's width.
    `height` - Predefined field's height.
    `x` - Predefined field's x position.
    `y` - Predefined field's y position.

Method Detail

### getControlByOtherSet

    public java.util.Hashtable getControlByOtherSet()

  Returns:
    the controlByOtherSet.

### getProperties

    public java.util.Hashtable getProperties()

  Gets predefined field's properties.

  Returns:
    the properties.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the field's display name.

  Returns:
    display name.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the field's display name.

  Parameters:
    `displayName` - field's display name.

### getBLName

    public java.lang.String getBLName()

  Gets the field's business logic name.

  Returns:
    field's business logic name.

### setBLName

    public void setBLName(java.lang.String blName)

  Sets the field's business logic name.

  Parameters:
    `blName` - field's business logic name.

### getFieldName

    public java.lang.String getFieldName()

  Gets the field's query resource name.

  Returns:
    field's query resource name.

### setFieldName

    public void setFieldName(java.lang.String fieldName)

  Sets the field's query resource name.

  Parameters:
    `fieldName` - Field's query resource name.

### getHeight

    public double getHeight()

  Gets the field's height.

  Returns:
    field's height.

### setHeight

    public void setHeight(double height)

  Sets the field's height.

  Parameters:
    `height` - Field's height.

### getTitleAttachingPlace

    public java.lang.String getTitleAttachingPlace()

  Gets the handle of the field's attached object.

  Returns:
    the handle of the field's attached object.

### setTitleAttachingPlace

    public void setTitleAttachingPlace(java.lang.String titleAttachingPlace)

  Sets the handle of the field's attached object.

  Parameters:
    `titleAttachingPlace` - The handle of the field's attached object.

### getWidth

    public double getWidth()

  Gets the field's width.

  Returns:
    field's width.

### setWidth

    public void setWidth(double width)

  Sets the field's width.

  Parameters:
    `width` - Field's width.

### getX

    public double getX()

  Gets the field's x position.

  Returns:
    field's x position.

### setX

    public void setX(double x)

  Sets the field's x position.

  Parameters:
    `x` - Field's x position.

### getY

    public double getY()

  Gets the field's y position.

  Returns:
    field's y position.

### setY

    public void setY(double y)

  Sets the field's y position.

  Parameters:
    `y` - Field's y position.

### setFieldType

    public void setFieldType(int fieldType)

  Gets the field's type.

  Parameters:
    `fieldType` - Field's type.

### getFieldType

    public int getFieldType()

  Sets the field's type.

  Returns:
    field's type.

### setPropertyControlByOther

    public void setPropertyControlByOther(java.lang.String propertyName,
                                          boolean isControlByOther)

  Sets whether the property is controlled by other fields or formulas.

  Parameters:
    `propertyName` - Property name.
    `isControlByOther` - If the property is controlled by other.

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 boolean bPropertyValue)

  Sets the property's value if it is a Boolean type property.

  Parameters:
    `propertyName` - Property name.
    `bPropertyValue` - Property's boolean value.

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 int iPropertyValue)

  Sets the property's value if it is a Integer type property.

  Parameters:
    `propertyName` - Property name.
    `iPropertyValue` - Property's int value.

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 float fPropertyValue)

  Sets the property's value if it is a float type property.

  Parameters:
    `propertyName` - Property name.
    `fPropertyValue` - Property's float value.

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 long lPropertyValue)

  Sets the property's value if it is a long type property.

  Parameters:
    `propertyName` - Property name.
    `lPropertyValue` - Property's long value.

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 double dPropertyValue)

  Sets the property's value if it is a Double type property..

  Parameters:
    `propertyName` - Property name.
    `dPropertyValue` - Property's double value.

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 java.awt.Color cPropertyValue)

  Sets the roperty's value if it is a Color type property.

  Parameters:
    `propertyName` - Property name.
    `cPropertyValue` - Property's color value.

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 java.lang.String sPropertyValue)

  Sets the property's value if it is a String type property.

  Parameters:
    `propertyName` - Property name.
    `sPropertyValue` - Property's string value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD